\documentclass[a4paper]{report}

\usepackage[english]{babel} 
\usepackage[utf8x]{inputenc}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{graphicx}
\usepackage[usenames,dvipsnames]{color}
\usepackage{enumitem}
\usepackage{tcolorbox}

\usepackage{tikz}
\usetikzlibrary{shapes.geometric}


\begin{document}

\tikzstyle{state} = [circle, fill=blue!45, minimum width=1.1cm]
\tikzstyle{action} = [rectangle, fill=red!30, minimum width=1cm, minimum height=1cm]
\tikzstyle{reward} = [diamond, fill=green!30]

\begin{tikzpicture}
 \node[state] (s3t) at (0,0) {$S_3^t$};
 \node[state] (s3t+1) at (2,0) {$S_3^{t+1}$};
 \node[state] (s2t) at (0,4) {$S_2^t$};
 \node[state] (s2t+1) at (2,4) {$S_2^{t+1}$};
 \node[state] (s1t) at (0,8) {$S_1^t$};
 \node[state] (s1t+1) at (2,8) {$S_1^{t+1}$};
 \node[action] (a3t) at (0,2) {$A_3^t$};
 \node[action] (a2t) at (0,6) {$A_2^t$};
 \node[action] (a1t) at (0,10) {$A_1^t$};
 \node[reward] (r3t) at (2,2) {$R_3^t$};
 \node[reward] (r2t) at (2,6) {$R_2^t$};
 \node[reward] (r1t) at (2,10) {$R_1^t$};
 \draw[->,>=latex] (a3t) -- (s3t+1) ;
 \draw[->,>=latex] (a3t) -- (r3t) ;
 \draw[->,>=latex] (a2t) -- (s2t+1) ;
 \draw[->,>=latex] (a2t) -- (r2t) ;
 \draw[->,>=latex] (a1t) -- (s1t+1) ;
 \draw[->,>=latex] (a1t) -- (r1t) ;
 
 \draw[->,>=latex] (s2t) -- (s2t+1) ;
 \draw[->,>=latex] (s1t) -- (s1t+1) ;


\draw[->,>=latex] (s2t) -- (s1t+1) ;
\draw[->,>=latex] (s2t) -- (s3t+1) ;

\draw[->,>=latex] (s1t) -- (r1t) ;
\draw[->,>=latex] (s2t) -- (r1t) ;
\draw[->,>=latex] (s2t) -- (r2t) ;
\draw[->,>=latex] (s2t) -- (r3t) ;


 \node[draw,circle,fill=gray!50,minimum width=1cm] (A) at (6,9) {1};
 \node[draw,circle,fill=gray!50,minimum width=1cm] (B) at (6,5) {2};
 \node[draw,circle,fill=gray!50,minimum width=1cm] (C) at (6,1) {3};
 \draw[<-,>=latex] (A) -- (B) ;
 \draw[->,>=latex] (B) -- (C) ;
 \draw[->,>=latex] (A)+(0.47,0.17) arc(-90:180:0.3);
 \draw[->,>=latex] (B)+(0.47,0.17) arc(-90:180:0.3);


\end{tikzpicture}
\end{document}
